> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves all clients available to the authenticated user.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json get /clients
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /clients:
    get:
      tags:
        - Client
      summary: Retrieves all clients available to the authenticated user.
      responses:
        '200':
          description: Successfully retrieved the list of clients.
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Client'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Client'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Client'
components:
  schemas:
    Client:
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        street:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        zipCode:
          type: string
          nullable: true
        about:
          type: string
          nullable: true
        primaryNumber:
          type: string
          nullable: true
        portalId:
          type: integer
          format: int32
        email:
          type: string
          nullable: true
        nationalId:
          type: string
          nullable: true
        acceptedTermsAt:
          type: string
          format: date-time
          nullable: true
        totalCalls:
          type: integer
          format: int32
        lastCallAt:
          type: string
          format: date-time
          nullable: true
        callLengthInSeconds:
          type: integer
          format: int32
        callsLast7Days:
          type: integer
          format: int32
        isUnknown:
          type: boolean
        memory:
          type: string
          nullable: true
        isInactive:
          type: boolean
        isDeleted:
          type: boolean
        language:
          type: string
          nullable: true
        alfaECareDetails:
          type: string
          nullable: true
        isCustomerService:
          type: boolean
      additionalProperties: false

````